Opened 8 years ago

Closed 8 years ago

#87 closed enhancement (fixed)

Compilation with gcc-4.6.0

Reported by: fmargot Owned by: stefan
Priority: minor Component: build system
Version: 0.7 Keywords: fmargot@andrew.cmu.edu
Cc:

Description

When compiling Couenne/trunk (for example) with gcc version 4.6.0 20110509 (Red Hat 4.6.0-7) on Fedora 15, one gets the warning on all cpp files:

cc1plus: warning: command line option '-Wimplicit' is valid for C/ObjC but not for C++ [enabled by default]

Change History (1)

comment:1 Changed 8 years ago by stefan

  • Resolution set to fixed
  • Status changed from new to closed

Thanks, we removed this flag for C++ compiler. This is now in BuildTools trunk and stable/0.6 (should be in 0.7 soon), and in all dependencies of CoinAll/trunk (including Couenne/trunk).

Note: See TracTickets for help on using tickets.